@import (reference) "../helpers/_var";
@import (reference) "../fonts/_icons";

.advantages-section {
  & {
    max-width: @container_width;
    margin: 0 auto;
    text-align: center;
    padding: 0 20px 150px;

    @media (max-width: @screen_tablet) {
      padding: 0 20px 40px;
    }
  }

  & > .title {
    padding: 0 0 40px;
    margin: 0;
    font-size: 45px;
    font-family: @font_primary;
    color: @primary_color;

    @media (max-width: @screen_tablet) {
      font-size: 28px;
    }
  }

  .advantages-block {
    & {
      margin-bottom: 40px;

      @media (max-width: @screen_tablet) {
        margin-bottom: 25px;
      }
    }

    .advantages-list {
      & {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;

        @media (max-width: @screen_desktop) {
          flex-direction: column;
          align-items: center;
        }
      }

      .item {
        display: flex;
        justify-content: flex-start;
        text-align: center;
        flex-direction: column;
        font-family: 'Comfortaa', cursive, sans-serif;
        max-width: 350px;
        flex-wrap: wrap;
        margin: 0;
        padding: 0 0 30px;

        @media (max-width: @screen_desktop) {
            margin-bottom: 40px;
        }

        @media (max-width: @screen_tablet) {
          max-width: 450px;
          padding: 0;
        }
      }

      .advantages-circle {
        background-position: center;
        background-size: cover;
        width: 200px;
        height: 200px;
        border-radius: 50%;
        display: block;
        margin: 0 auto 20px;

        @media (max-width: @screen_tablet) {
          width: 180px;
          height: 180px;
        }
      }

      .title {
        margin: 0;
        padding: 0 0 15px;
        font-size: 20px;
        font-weight: 700;
        font-family: @font_primary;
      }

      .text {
        margin: 0;
        line-height: 1.5;
        padding: 0;
        font-size: 15px;

        @media (max-width: @screen_tablet) {
          font-size: 13px;
        }
      }
    }
  }

  .grid-block {
    & {
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      grid-template-rows: repeat(2, 1fr);
      grid-gap: 20px;

      @media (max-width: @screen_desktop) {
        grid-template-columns: 1fr;
      }
    }

    .block {
      & {
        height: 500px;
        border-radius: 6px;
        overflow: hidden;
        font-family: @font_second;
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;

        @media (max-width: @screen_desktop) {
          height: 400px;
        }

        @media (max-width: @screen_tablet) {
          height: 300px;
        }
      }

      .title {
        padding: 0 0 50px;
        margin: 0;

        @media (max-width: @screen_tablet) {
          font-size: 18px;
          padding: 0 0 20px;
        }
      }

      .text {
        margin: 0;
        text-align: center;
        line-height: 2;
        padding: 0 10px;

        @media (max-width: @screen_tablet) {
          text-align: center;
          font-size: 14px;
          line-height: 1.3;
        }
      }
    }

    .item-3 {
      @media (max-width: @screen_tablet) {
        order: 3;
      }
    }
  }
}